# Uses of Enum
org.jboss.logmanager.formatters.StructuredFormatter.ExceptionOutputType

Packages that use StructuredFormatter.ExceptionOutputType
Package
Description
org.jboss.logmanager.formatters

## Uses of StructuredFormatter.ExceptionOutputType in org.jboss.logmanager.formatters

Methods in org.jboss.logmanager.formatters that return StructuredFormatter.ExceptionOutputType
Modifier and Type
Method
Description
`StructuredFormatter.ExceptionOutputType`
StructuredFormatter.`getExceptionOutputType()`
Get the current output type for exceptions.
`static StructuredFormatter.ExceptionOutputType`
StructuredFormatter.ExceptionOutputType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StructuredFormatter.ExceptionOutputType[]`
StructuredFormatter.ExceptionOutputType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.formatters with parameters of type StructuredFormatter.ExceptionOutputType
Modifier and Type
Method
Description
`void`
StructuredFormatter.`setExceptionOutputType(StructuredFormatter.ExceptionOutputType exceptionOutputType)`
Set the output type for exceptions.